# Ctrl-C stuff

Any miscellaneous Ctrl-C-related files I want to track.
I keep full, stand-alone projects in their own repos, but this is just extra bits and bobs.

## Gemini site

[My gemsite](gemini://gemini.ctrl-c.club/~gome) is very small right now.
If it gets bigger eventually, I may move it to its own repo.

## Word of the Day Script (wotd-pack)

I have a Word of the Day feature on my [user site](https://ctrl-c.club/~gome).
The tool here takes a [CSV file](https://tildegit.org/gome/gomesite/src/branch/main/wotd/wotd_data.csv)
of entries and converts them into [JSON files](https://tildegit.org/gome/gomesite/src/branch/main/wotd)
that the [script on my gomepage](https://tildegit.org/gome/gomesite/src/branch/main/index.html#L255) fetches and displays.
To run it, you need [Deno](https://deno.land/).
You can either run it or install it with the included commands.
Calling it looks something like this:
```
# wotd-pack wotd_data.csv
```
Where `wotd_data.csv` is a CSV file formatted like the [one for my site](https://tildegit.org/gome/gomesite/src/branch/main/wotd/wotd_data.csv).
If you actually would like to use this tool and want clearer or more detailed documentation on how to use it, email me at `gome@ctrl-c.club`
or just open an issue on this repository.
